Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Diferença entre as versões do PHP

Quais são as diferenças entre o PHP 7.4 (7.4.3) VC15 x64 Non Thread Safe e VC15 x64 Thread Safe ? Eu uso o Windows 10, já tenho o WampServer instalado com o PHP 7.0.23.

4 respostas

Edson, tudo bem? As diferenças estão em como os servidores tratam as requisições HTTP, em ambiente de desenvolvimento ou se você estiver aprendendo não precisa se preocupar com isso. Se tiver um sistema com um pouco mais de acessos dê uma olhada nos links abaixo:

https://www.it-swarm.dev/pt/php/o-que-e-thread-safe-ou-non-thread-safe-em-php/968896002/

http://php.docow.com/quais-sao-as-diferencas-tecnicas-entre-o-thread-safe-e-os-pacotes-de-instalacao-do-php-windows-nao-compativeis-com-thread.html

Fala, Edson.

Primeiro: Não use WampServer. Segundo: Não use uma versão tão velha quanto PHP 7.0.

Quanto a Thread Safe ou não, basicamente, é a habilitação de um modo de segurança para aplicações que utilizam de tecnicas de programação paralela.

Via de regra, uze sempre a non thread safe, a menos que você tenha certeza do que está fazendo. :-)

Por que não usar Wamp Server, Xamp ou similares? Trabalho bastante com Ambientes web Apache, com MySQL, PHPMyAdmin, MariaDB... Com relação à versão. Tenho várias aplicações web rodando em PHP 5.6. Pretendo migrar para a versão 7.X

Então, Edson. Essas ferramentas trazem mais problemas do que soluções. Se você tem uma infra específica no ambiente de produção e quer replicar em seu ambiente de dev, instale as ferramentas. Se precisa de vários ambientes, use Docker.

Eu já tive que responder diversas dúvidas aqui mesmo no fórum que não existiriam se os alunos não usassem XAMPP. =/